org.eclipse.rdf4j.sail.shacl.AST

## Class SimplePath

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.AST.Path
  - - org.eclipse.rdf4j.sail.shacl.AST.SimplePath

- All Implemented Interfaces:
    QueryGenerator, RequiresEvalutation

      public class SimplePath
      extends Path

  The AST (Abstract Syntax Tree) node that represents a simple path for exactly one predicate. Currently there is no support for complex paths.
  Author:
    Heshan Jayasinghe

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `IRI` | `getPath()`
    `String` | `getQuery(String subjectVariable, String objectVariable, RdfsSubClassOfReasoner rdfsSubClassOfReasoner)`
    `int` | `hashCode()`
    `boolean` | `requiresEvaluation(SailConnection addedStatements, SailConnection removedStatements)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.AST.Path

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### requiresEvaluation

          public boolean requiresEvaluation(SailConnection addedStatements,
                                            SailConnection removedStatements)

    - #### getQuery

          public String getQuery(String subjectVariable,
                                 String objectVariable,
                                 RdfsSubClassOfReasoner rdfsSubClassOfReasoner)

    - #### getPath

          public IRI getPath()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.